<div style="margin-top: 20px;">
    <h5>
        <span>Upload Penerimaan Faktur</span>
    </h5>


    <div class="row margin-row">
        <div class="col-md-12">
            <div class="pull-right">
                <!-- <a [routerLink]="['../registration/penerimaan/faktur/upload']" class="btn btn-primary"><span>Upload</span></a> -->
                <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload">
                <i class="fa fa-plus"  aria-hidden="true"></i><span class="label-uploaded">Upload</span>           
                <input type="file" (change)="onFileChange($event)" multiple="false" accept=".csv" hidden/>
              </label>
                <!-- <button pButton type="button" class="ui-button-primary btn-sm" label="UPLOAD" [routerLink]="['../registration-penerimaan-faktur-upload']" ></button> -->
            </div>
        </div>
    </div>

    <p-dataTable [value]="listUploadFaktur"  [responsive]="true">
        <p-header [style]="{'width': '70px', 'text-align': 'center'}">

        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <!-- <p-column header="No. Pengajuan">
            <ng-template let-rowData="rowData" pTemplate="body">
             
            </ng-template>
          </p-column>
          <p-column header="Tgl. Pengajuan">
            <ng-template let-rowData="rowData" pTemplate="body">
             
            </ng-template>
          </p-column> -->
        <p-column header="No. Rangka">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noka}}
            </ng-template>
        </p-column>
        <p-column header="No. Mesin">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nosin}}
            </ng-template>
        </p-column>
        <p-column header="No. Faktur">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noFaktur}}
            </ng-template>
        </p-column>
        <p-column header="Tgl. Faktur">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- {{charge.offenseDate ? (charge.offenseDate | date) : 'No date'}} -->
                <div *ngIf="rowData.tglFaktur != null">
                    {{rowData.tglFaktur | date:'dd-MM-yyyy'}}
                </div>
                <div *ngIf="rowData.tglFaktur == null">
                    Format Tanggal Salah
                </div>
                <!-- <ng-template #elseBlock>Format Tanggal Salah</ng-template> -->
            </ng-template>
        </p-column>
        <p-column header="Status Isi Nama">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.stsIsiNama}}
            </ng-template>
        </p-column>
        <!-- <p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
              <div><a (click)="showCancelModal(rowData)">Cancel</a></div>
              <div><a (click)="doReceive(rowData)">Receive</a></div>
            </ng-template>
          </p-column> -->
    </p-dataTable>
    <div class="col-md-12">
        <div class="pull-right">
            <button pButton type="button" class="ui-button-primary" label="Simpan" (click)="submit()"></button>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>